@import './Color.scss';
@import url('https://fonts.googleapis.com/css?family=Mali&display=swap');

html, body{
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    font-size: 16px;
    // font-family: 'Prompt', sans-serif;
    font-family: 'Mali', cursive;
}

.focus{
    outline: unset;
}

.user-navbar{
    display: flex;
    width: 100%;
    height: 60px;
    background-color: $main-color;
    color: $main-color-text;
    justify-content: center;
    
    .set-user-navbar{
        display: flex;
        width: 1000px;
        justify-content: flex-end;
        align-items: center;
        color: $second-color-text;
    }
    a{
        display: flex;
        align-items: center;
        justify-items: center;
        color: $second-color-text;
        width: fit-content;
        padding: 0 10px;
        height: 100%;
        margin-bottom: 4px;
    }
    .active{
        border-bottom: 4px solid #ffff33;
    }
}

.set-page{
    display: block;
    width: 1000px;
    min-height: calc(100vh - 210px - 1rem);
    //100vh - navbar - footer
    margin: 1rem;
    color: $second-color-text;
    margin: 0 auto 1rem auto;
    // margin top right botom left
    // rem = fontsize
}

.user-footer{
    display: flex;
    background-color: $main-color;
    font: 1rem;
    height: 150px;
    width: 100%;
    color: $main-color-text;
    justify-content: center;
}

.admin-navbar{
    display: flex;
    width: 100%;
    height: 60px;
    background-color: $main-color;
    color: $main-color-text;
    justify-content: center;
    
    .set-admin-navbar{
        display: flex;
        width: 1000px;
        justify-content: flex-end;
        align-items: center;
        color: $second-color-text;
    }
    a{
        display: flex;
        align-items: center;
        justify-items: center;
        color: $second-color-text;
        width: fit-content;
        padding: 0 10px;
        height: 100%;
        margin-bottom: 4px;
    }
    .active{
        border-bottom: 4px solid #ffff33;
    }
}

.set-page{
    display: block;
    width: 1000px;
    min-height: calc(100vh - 210px - 1rem);
    //100vh - navbar - footer
    margin: 1rem;
    color: $second-color-text;
    margin: 0 auto 1rem auto;
    // margin top right botom left
    // rem = fontsize
}

.admin-footer{
    display: flex;
    background-color: $main-color;
    font: 1rem;
    height: 150px;
    width: 100%;
    color: $main-color-text;
    justify-content: center;
}

.div{
    position: relative;
    width: 250px;
    border: 1px solid #ccc;
    border-radius: 10px;
    overflow: hidden;
    display: block;
    i{
        position: absolute;
        right: 5px;
        top: 5px;
    }
    .divImg{
        width: 100%;
        height: 180px;
        object-fit: cover;
        object-position: center;
        .img{
            width: 100%;    
            height: 100%;
        }
    }
    .divPara{
        display: block;
        justify-content: center;
        align-items: center;
        text-align: center;
        span,
        strong,
        p{
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 0 20px;
            text-align: center;
        }
        strong{
            font-size: 2rem;
        }
        p{
            word-break: break-word;
        }
        span{
            padding: 10px 0 0;
        }
    }
    .divFoot{
        display: grid;
        grid-template-columns: 33.33% 33.33% 33.33%;
        background-color:#ff0077 ;
        color: #fff;
        padding: 10px 0;
        div{
            display: grid;
            grid-template-rows: auto auto;
            width: 100%;
            justify-content: center;
            align-items: center;
        }
        strong{
            font-size: 1.2rem;
            text-align: center;
        }
    }
}